OGRE: Ogre::FileSystemArchiveFactory Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::FileSystemArchiveFactory Class Reference
Core » Resources

Specialisation of the ArchiveFactory to allow reading of files from filesystem folders / directories. More...

`#include <OgreFileSystem.h>`

Inheritance diagram for Ogre::FileSystemArchiveFactory:
[legend]

## Public Member Functions
Archive * | createInstance (const String &name, bool readOnly) override
| Creates a new object.
const String & | getType (void) const override
| Returns the factory type.
Public Member Functions inherited from Ogre::ArchiveFactory
virtual | ~ArchiveFactory ()
Archive * | createInstance (const String &name) override
| Creates a new object.
Public Member Functions inherited from Ogre::FactoryObj< Archive >
virtual | ~FactoryObj ()
virtual void | destroyInstance (Archive *ptr)
| Destroys an object which was created by this factory.

## Static Public Member Functions
static bool | getIgnoreHidden ()
| Get whether hidden files are ignored during filesystem enumeration.
static void | setIgnoreHidden (bool ignore)
| Set whether filesystem enumeration will include hidden files or not.

## Detailed Description

Specialisation of the ArchiveFactory to allow reading of files from filesystem folders / directories.

## Member Function Documentation

## ◆ getType()

const String & Ogre::FileSystemArchiveFactory::getType | ( | void |  | ) | const
| overridevirtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< Archive >.

References Ogre::ArchiveFactory::createInstance().

## ◆ createInstance()

Archive * Ogre::FileSystemArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly )
| overridevirtual

Creates a new object.

Parameters

  name | Name of the object to create
  readOnly | whether the Archive is read only

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

## ◆ setIgnoreHidden()

void Ogre::FileSystemArchiveFactory::setIgnoreHidden | ( | bool | ignore | ) |
| static

Set whether filesystem enumeration will include hidden files or not.

This should be called prior to declaring and/or initializing filesystem resource locations. The default is true (ignore hidden files).

## ◆ getIgnoreHidden()

bool Ogre::FileSystemArchiveFactory::getIgnoreHidden | ( |  | ) |
| static

Get whether hidden files are ignored during filesystem enumeration.

The documentation for this class was generated from the following file:

- OgreFileSystem.h